Risultati da 1 a 3 di 3
  1. #1
    RUGGIUNO
    Visitatore

    Predefinito [Recuperato] Sviluppo software x inventor

    -=FoX=-
    20-01-2004, 11.08.57

    Ciao a tutti
    volevo chiedere se qualcuno e' a conoscenza di qualche link che spieghi un po come poter estrarre informazioni dai files di inventor.
    Ad esempio, l'immagine di anterprima...
    Ho guardato i links presenti nella sezione apposita ma nn ho trovato nulla in proposito


    drossino
    20-01-2004, 18.09.17

    Il documento che trovi nella pagina seguente forse potrebbe esserti utile:

    http://www.tecnoclip.com/index.php?o...art=0&limit=10

    oppure parti da http://www.tecnoclip.com/

    Spero ti sia utile. Saluti. Daniele


    -=FoX=-
    22-01-2004, 13.42.55

    Ti ringrazio per il link.
    Ho trovato un qualcosa di piu specifico e sto anche usando l'help integrato.
    Qualcosa ne e' uscito infatti.
    Ho fatto un piccolo menu a tendina dove scelgo il diametro in pollici di un tubo, imposto la lunghezza in millimetri e mi crea in automatico il nuovo componente
    Troppo storioso.
    Adesso devo trovare il sistema x salvarlo in automatico con il nome che voglio, ad es. "tubo diam. 2'' lunghezza 120.ipt"
    ci sto lavorando.
    Poi quando ho finito, se a qualcuno interessa glielo passo


    Jarno
    23-01-2004, 08.21.48

    una occhiata ce la darei volentieri.
    anche io avevo iniziato a lavorare su VBA ma poi ho dovuto smettere x mancanza di tempo
    spero di poter riprendere.
    ciao!
    ***per rispondere in privato jarno34ciaoATvirgilio.is togli il saluto, metti la chiocciola e il .it***


    -=FoX=-
    23-01-2004, 12.59.06

    bene, cosi magari versiamo lacrime insieme.
    Tanto semplice e intuitivo creare un cerchio in uno schizzo quanto incasinato e' creare un comando che lo faccia!
    cmq, ho finito questo comando e funziona.
    (unica pecca e' che devo per forza dare le coordinate di posizionamento del tubo nell'assieme. In sostanza quando inserisco non mi lascia trascinare il componente ma lo piazza sempre allo stesso posto)
    Adesso sto tentando di creare un comando che modifichi la lunghezza di estrusione del tubo, elimini il file vecchio e lo sostituisca con quello di nuova lunghezza.
    Purtroppo mi sa che manca la proprieta' di lunghezza estrusione, quindi mi tocca eliminarla e ricrearla con nuova lunghezza.
    Tu cosa sei riuscito a fare?
    (e' un po un traffico cmq... mi perdo facilmente... )


    Jarno
    23-01-2004, 13.41.47

    Tu cosa sei riuscito a fare?

    nulla ancora anche xkè non ho ancora delle necessità precise (+ che altro gestione di codici ecc).
    Stavo solo studiando il modello ad oggetti e facendo delle piccole prove anche per rispolverare VB. ma sono fermo dall' estate x motivi personali (di regola son cose che faccio a casa)

    adesso non ti prometto nulla, ma se vuoi mandare del codice ci sbatto volentieri la testa (se trovo il tempo! )
    ciao!


    bicio
    23-01-2004, 20.19.12

    Ciao!
    Premetto che non ho guardato il sito consigliato da drossino.
    Per parti un po' più complesse dei tubi io faccio così:
    - creo la parte con delle dimensioni di base
    - nella tabella dei parametri, aggiungo variabili di tipo utente, le stesse che so di dover modificare tramite il mio script
    - alle quote modello assegno come valore il nome del parametro utente
    - salvo la parte con un nome generico

    Questa parte sarà il "tipico" di tutta la serie di parti da essa estraibili (ovviamente tutte le parti derivanti dal tipico avranno la stessa geometria ma potranno avere diverse combinazioni di valori).

    Con VBA (o VB) apro il tipico, accedo ai parametri utente, aggiorno prima i valori e poi la parte che salvero' da "qualche parte" con un "certo nome" (probabilmente con un riferimento alle dimensioni...). E' (quasi) più facile a farsi che a dirsi...

    L'estrusione sarà il parametro utente, p.es. 'lungh' e il diametro 'diam'.

    Forse per il semplice tubo questa procedura è un po' "sprecata" (troppo lavoro di programmazione per un risultato modesto in termini di benefici).

    L'inserimento della parte, una volta creata-salvata-richiamata (devi sapere dov'è!) si fa con una combinazione di istruzioni:
    Call oApp.CommandManager.PostPrivateEvent(kFileNameEven t, NomeParte)
    Call oApp.CommandManager.StartCommand(kPlaceComponentCo mmand)
    L'ultima istruzione dovrebbe riprodurre proprio l'effetto inserimento della parte.

    La morale è:
    - evito di dover far costruire a IV tutta la parte schizzo per schizzo (!)
    - supero le possibilità delle iPart (potendo contare su un numero teoricamente infinito di combinazioni di valori, a meno di combinazioni non coerenti)
    - non soffro di particolari rallentamenti (è vero che in mezzo c'e' una apertura-modifica-aggiornamento-salvataggio-riapertura della parte, ma è sempre mooolto più veloce di un intervento manuale)
    - nulla toglie di poter intervenire anche sulle lavorazioni, che si possono togliere a piacimento.

    Il contorno di tutto è l'interfaccia che ognuno vorrà dare allo script.

    Spero di aver dato un minimo contributo!

    Saluti
    bicio
    Ultima modifica di Sandra_ME30; 19-02-2008 alle 00: 22

  2. #2
    RUGGIUNO
    Visitatore

    Predefinito

    -=FoX=-
    25-01-2004, 09.16.57

    Si, avevo preso in considerazione anche questa strada, anche perche' facendo come ho fatto io, tutti i parametri rimangono interni al codice VB, e quindi risulterebbe poco adattabile. (a parte che i diametri standard in pollici son quelli...)
    Il mio problema e' un altro. Disegnando piccoli skid e/o impianti inserisco pezzi di tubo "a nastro"
    Sono passato dai tubi di traceparts alle parti comprese in inventor e per finire facevo prima a estrudere a mano ...
    con il mio programmino faccio ancora prima xche' mi son fatto il pulsante. 3 secondi e ho il tubo che desideravo ma soprattutto ha un nome come lo voglio io.
    Il vero problema pero' e' un altro, ovvero, spesso e volentieri mi capita di dover "modificare" i pezzi di tubo, magari allungandoli solo di un paio di cm o accorciandoli. La cosa piu veloce e' modificare la parte nell'assieme aprire l'estrusione, modificarla e richiudere la parte. Purtroppo in questo modo non mi si aggiorna il nome del file. Il risultato e' un file che nel nome ha una lunghezza che non corrisponde alla sua reale estrusione.
    Altro sistema sarebbe sostituire la parte con un altro tubo di lunghezza giusta, ma alla fine mi troverei ad avere un sacco di tubi nella dir.
    L'idea era di fare uno script che:
    -apre la parte
    -modifica l'estrusione
    -la salva col nome giusto
    -la sostituisce alla parte esistente
    -elimina il file vecchio


    -=FoX=-
    27-01-2004, 08.16.57

    Bicio, sto usando parzialmente il tuo sistema.
    Da quanto ho capito, l'unico modo x poter "modificare" la lunghezza dell'estrusione e' usare i parametri. (notare che lo schizzo dell'estrusione e il profilo sono modificabili al 100% e anche il taper angle, solo l'estrusione nn si puo' toccare...)
    La cosa "brutta" se vogliamo e' che c'e' bisogno di un componente base, mentre io lo facevo creare da zero.

    A parte questo, chiedo se qualcuno sa come chiudere un oggetto di un assieme in stato di edit.
    (in sostanza riprodurre il comando "Fine modifica")
    Immaginate un assieme con 2 o 3 pezzi. Uno dei pezzi e' un tubo creato tramite macro.
    Io lo seleziono, e premo l'icona della mia nuova macro.
    Il tubo si apre in edit mode e il resto dell'assieme passa in secondo piano (equivalente a modifica perte, doppio click sull'oggetto)
    modifico la lunghezza a seconda della misura inserita in precedenza.
    Ecco, da qui non riseco a chiudere la parte in modo automatico.
    E' assurdo, le ho provate tutte
    La cosa "brutta" inoltre e' che l'oggetto in edit e' l' ActivatedObject di ActiveDocument, quindi l'activedocument rimane sempre l'assieme, e io non posso chiudere la parte.
    Che stresss

    ----------------------------------------
    EDIT EDIT EDIT EDIT
    ----------------------------------------
    Editato solo per dire che ho trovato il sistema.
    Lo posto nel caso servisse a qualcuno.
    E' un metodo "non documentato" e "non ufficialmente riconosciuto" (vai a capirne il motivo... le cose che servono non sono mai documentate e mai ufficiali )

    ThisApplication.CommandManager.[_StartCommand](43312)

    questo comando permette di chiudere l'edit di un oggetto in un assieme.
    equivale alla chiusura di una parte fatta tramite menu del tasto destro --> Fine modifica.

    Basta, non stresso piu.. prometto


    bicio
    27-01-2004, 13.48.38

    Ciao Fox!
    In effetti, come avevo premesso, applicare la procedura che si basa su dei modelli solo per tubi sembrerebbe un po' troppo laborioso...

    Per la modifica di una parte e del suo nome all'interno di un assieme, potresti utilizzare l'Apprentice di Inventor. Io l'ho mai utilizzato, ma mi pare che si possa gestire gran parte delle operazioni sui file. Se ho tempo do un'occhiata ai metodi. Comunque l'idea potrebbe essere:
    1. "aprire" la parte (non editarla)
    2. salvarla con il nuovo nome
    3. chiuderla
    4. sostituire la parte vecchia con quella nuova, in modo di essere sicuri che per il momento diverse misure non "distruggano" l'assieme (leggi vincoli)
    5 ...finalmente editarla, aggiornare le quote e salvare tutto.
    Forse i passi 1 2 3 4 si possono fare con Apprentice, perchè riguardano solo la gestione dei file e non la loro modifica.

    Una curiosità: dove hai trovato quel "metodo non documentato e ufficialmente non riconosciuto"? Ce ne sono altri?

    Ciao
    bicio


    -=FoX=-
    27-01-2004, 15.11.59

    http://usa.autodesk.com/adsk/servlet...linkID=3016303

    Da qui, ho scelto inventor 7 xche in 8 ci sono pochi post
    poi ho cercato se non ricordo male "end modify" "edit" e roba simile, per filtrarli.
    in un paio di post ho trovato un tizio che parlava di sto metodo.
    Cmq dev'essere un qualcosa che agisce in modo particolare, xche' la sintassi effettivamente non prevede il modo usato dal comando e il comando sembrerebbe non esistere.
    Cmq ad esempio, qui ho scoperto che il comando di "uscita" esiste per lo schizzo nomeschizzo.endedit mi pare...
    cmq dovrei essere vicino alla soluzione finale.
    (ho quasi finito)
    poi dopo posto il link x scaricare il tutto
    Ultima modifica di Sandra_ME30; 19-02-2008 alle 00: 25

  3. #3
    Utente poco attivo
    Iscritto dal
    2009
    Messaggi
    1
    Professione
    Progettista
    Regione
    Emilia Romagna
    Software
    Inventor

    Predefinito

    Ciao ragazzi,
    ho cercato di vedere i link postati all'inizio.......ma non portano a niente!

    Mi potete dare una mano???


    Ciao


  • Discussioni Simili

    1. calcolo sviluppo lamiera piegata con inventor
      Di un_poldo nel forum Inventor
      Risposte: 2
      Ultimo Messaggio: 14-11-2009, 13: 04
    2. SVILUPPO IN PIANO QUALE SOFTWARE E' PIU VELOCE
      Di RS4 nel forum CAD meccanici a confronto
      Risposte: 15
      Ultimo Messaggio: 18-07-2009, 13: 30
    3. [Recuperato] Sviluppo lamiera...
      Di RUGGIUNO nel forum Inventor
      Risposte: 1
      Ultimo Messaggio: 04-08-2008, 14: 21
    4. [Recuperato] Sviluppo lamiera
      Di RUGGIUNO nel forum NX (Unigraphics)
      Risposte: 1
      Ultimo Messaggio: 30-01-2008, 23: 28
    5. [Recuperato] Calcolo sviluppo mezza sfera
      Di Oldwarper nel forum Solidworks
      Risposte: 0
      Ultimo Messaggio: 18-01-2008, 17: 18

    Chi Ha Letto Questa Discussione negli Ultimi 200 Giorni: 0

    Segnalibri

    Segnalibri

    Permessi di Scrittura

    • Tu non puoi inviare nuove discussioni
    • Tu non puoi inviare risposte
    • Tu non puoi inviare allegati
    • Tu non puoi modificare i tuoi messaggi
    •  





    CAD3D.it - la community dei progettisti